Name:		pepc
Version:	1.3.42
Release:	1%{?dist}
Summary:	Power, Energy, and Performance Configurator

License:	BSD-3-Clause
Url:		https://github.com/intel/pepc
Source0:	%url/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pytest
BuildRequires:	python3-pyyaml
Requires:	python3-pepc = %{version}-%{release}
Requires:	python3-pyyaml

%description
Pepc stands for "Power, Energy, and Performance Configurator".
This is a command-line tool for configuring various Linux and Hardware 
power management features.

%package -n python3-%{name}
Summary:	Pepc Python libraries

%description -n python3-%{name}
Pepc Python libraries

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pepclibs pepctool
install -pDm644 docs/man1/pepc.1 %{buildroot}/%{_mandir}/man1/pepc.1

%check
%pytest -v

%files
%doc README.md
%{_bindir}/pepc
%{_mandir}/man1/pepc.1*

%files -n python3-%{name} -f %{pyproject_files}

%changelog
* Fri Jan 20 2023 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> 1.3.42-1
- Update to 1.3.42 ('pepc cstates config --pkg-cstate-limit' option fix)

* Tue Jan 17 2023 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> 1.3.41-1
- Update to 1.3.41

* Thu Aug 25 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> 1.3.14-1
- Update to 1.3.14 (RHBZ #2117446)

* Wed Jul 06 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> 1.3.9-1
- Initial package
